----------------------------------------------------------------------------
    AATools 5.92                                VERSION HISTORY

If you've got AATools not from its web page, but from the other
source (magazine CD or some software library), please visit its home page
at http://www.glocksoft.com/aatools.htm - you'll probably find the later version.
----------------------------------------------------------------------------
Copyright (C) 1999-2006 G-Lock Software. All Rights Reserved.

version 5.92
Added: response time of the socks proxy server in Socks4 and Socks5 columns in the Proxy Analyzer.
Added: legend in the HTTP Proxy list shows the number of HTTP proxy servers, which transmit the appropriate environment variable to the site.
Improved: calculating of HTTP proxy rating in the Proxy Analyzer. Note: if you install this version over the older version, open HTTP Proxy Rating settings and enter 128 into "Spill Your IP" field.

version 5.91
Added: ability to add the host names to the Exclusion List in the Proxy Analyzer and RBL Locator.
Fixed: error when loading the HTTP proxy profile at startup in the Proxy Analyzer.
Fixed: when testing socks proxy servers for the port 80, the Proxy Analyzer didn't show the Socks5 proxy servers.

version 5.90
Improved the checking of socks proxy servers for common ports (21, 25, 80, 110, 199, 6660-6669).
Added: the program remembers the port numbers you used in the Socks Proxy Settings in the Proxy Analyzer.
A few internal fixes and improvements.

version 5.81

Added: proxy server support in "Online Activation" and "Check for update" options.
Fixed: a few errors in the Proxy Analyzer.
Fixed: a few errors in the Port Scanner.
Improved: Port Scanner engine. 
Improved: Exclusion List in the Proxy Analyzer and RBL Locator.
Improved: determining of the IP address location in the Proxy Analyzer, RBL Locator, and Traceroute.

version 5.80

Port Scanner:

Changed the scanning engine.
Fixed: Access Violation... error when scanning a huge volume of IP addresses.

Proxy Analyzer:

Added: ability to load and use multiple environment scripts to test proxy servers.
Added: ability to automatically check bad HTTP and Socks proxy servers xx times.
Added: ability to work with any open port to check Socks proxy servers.
Added: UpTime column that shows % of activity of the proxy server.
Added: ability to enter the ranges of proxy IP addresses into the Exclusion List.
Changed the Load option: all proxies with common and uncommon ports are loaded into the active list (HTTP or Socks).
Changed: mechanism of testing HTTP proxy servers for CONNECT/Tunneling/SSL support.
Improved: Location is determined immediately if you add/load the proxy servers IP addresses. 

RBL Locator:

Added: ability to enter the ranges of IP addresses into the Exclusion List.
Improved: Location is determined immediately if you add/load the IP addresses for scanning. 

Traceroute:

Added: Location column that shows the country of the routers the packet goes through.

System Info:

Fixed: error on HT Technologies processors.


version 5.56

Fixed: in the Proxy Analyzer HTTP proxies could not be sorted by HTTPS Ready column and the results from this column were lost when sending the proxies to the RBL Locator and back.

Fixed Whois module.

Changed the proxy rating in the Proxy Analyzer. 

version 5.55 

Added: Refresh option in the Startup and Uninstall sections in the Registry Cleaner. 
Added: ability to have in the Socks Proxy Analyzer database proxies with the same IP but different ports.
Added: ability to copy/paste an IP address in the 'Host Name/IP' box in the Port Scanner.
Fixed: Links Analyzer changed the letter case when loading a list of URLs.
Fixed: in the Proxy Analyzer settings 'Detect IP' button did not work if you deleted an IP address from the 'Your IP address' box.
Fixed: Proxy Analyzer module could not stop when checking some proxy servers.
Fixed: on Windows XP platform Proxy Analyzer crashed when checking some IP addresses.
Fixed: System Info module did not show Network: Protocols, Services, Clients on Windows XP platform.


version 5.5 Release

Fixed: memory detecting in the System Info module
Few internal improvements 

version 5.5 Beta 2

Added: the RBL Locator now saves in profile the results of checking proxies received from the Proxy Analyzer.
Added: in the RBL Locator the option to send data to the Proxy Analyzer. ATTENTION! The format of profiles in the RBL Locator has been changed and your old profiles are no longer valid.

Fixed and improved the method of checking links in the Links Analyzer.

version 5.5 beta 

Added: the RBL Locator module, a special tool, designed to quickly search for an IP address in DNS-Based spam databases. RBL Locator checks a given IP address against the most known blacklists. The information you get from the RBL Locator will help you to find out if your mail server or IP address is listed in a spam database and take measures to settle this issue.

Added: the Ping option into the Traceroute module  

Added: the "Autosave profile every xx min" option in the AATools Global Settings
Added: the "Detect IP address via external script" option in the Proxy Analyzer

Changed and improved the method of checking socks proxy servers in the Proxy Analyzer. !!!!!!!!! New format profile. 

System Information module:
Added: HDD Serial, Model and Revision number and geometry info detection (Drives Tab)
Added: Intel Willamette, Transmeta Crusoe and VIA C3 processors support (CPU Tab)
Fixed: Intel cache detection (CPU Tab)
Added: support for AMD Duron and AMD Athlon Level 2 Cache detection (CPU Tab)
Added: mainboard Model, Manufacturer, Version and Serial Number detection (Workstation Tab)
Added: memory bank Type, Size and Speed detection (Memory Tab)

Fixed and improved the Whois module

Fixed: in some cases the program hung after deleting registry entries in the "Registry Cleaner".

version 5.12
Fixed: the Network Monitor correctly displays the last three columns: PID, Process and Path on all Windows XP system now.

version 5.11
Added: the Proxy Analyzer now supports both the environment checker and the ProxyJudge script. Just enter your own ProxyJudge into the URL field and type 'ProxyJudge' in the Control String in the Proxy Analyzer General Settings.
Added: the Proxy Analyzer now removes the annoying popup window with advertisement from its log files when you use an environment checker or a ProxyJudge script located on free web hosts like virtualave.net, hypermart.net, etc.
Added: the Exclusion List in the Proxy Analyzer. The Exclusion List is a simple text file which allows you to create a list of proxies that you do not want to be loaded into the Proxy Analyzer database. There may be stored, for example, all bad proxies
or the proxies with a specific rating, etc.
Added: ability to start checking the Broken by Timeout items with one mouse click in the Email Verifier 
Fixed: the 'Access Violation' error in the Proxy Analyzer when resolving Host Name
Fixed: error when deleting the results of scanning in the Port Scanner: for example, if you selected some TCP items and chose the 'Delete: UDP Protocol Items' option, the program removed both UDP and selected TCP items from the Result list.
Some other minor changes, adjustments, and fixes

version 5.10
Added: The Proxy Analyzer can find proxies which support FTP connect method. These proxies may be used, for example, in download managers that support this kind of proxy.
Added: The Proxy Analyzer can calculate transfer speed through a proxy server
Fixed: bug in the Proxy Analyzer that did not allow to save the HTTPS proxies
Fixed: Problem with the Norton Antivirus registry entries in the Registry Cleaner
Added: the Exclusion List in the Registry Cleaner to protect some registry entries which cannot be removed
Added: ability to maintain your own Link lists in the Link Analyzer
Fixed: bug in the Link Analyzer which did not allow to correctly check links with redirection
Fixed: the Process Monitor displays correctly the list of started and stopped services as well as allows to start and stop them correctly.
Fixed: little bug in the Port Scanner - when you pressed the "down button" [to decrement the ip value] in the Start or Stop fields, the next value you got was x.x.x.65535. Now it shows the correct value x.x.x.255.
Added: in the Network Monitor (Connections tab) the ability to send a remote IP to the Trace Route
Added: the Process Monitor (Drivers tab) shows additional information about the specific driver: File Version, Company, Copyright, Description. 

version 5.0 
Fixed: access violation error while adding a new port in the Port Scanner database.
Fixed: preview in the Color Theme Settings.
Added: ability to delete a port from the Port Scanner database.
Added: ability to remember the url history in the Proxy Analyzer. Now when you add a new url, it is associated with the appropriate control string. Example: url to script 1 - Control String 1, url to script 2 - Control String 2. When you bring back url to script 1, it automatically restores Control String 1.

version 5.0 Beta 2
Added: ability to set a proxy server for Internet Explorer separately for different
protocols such as HTTP, HTTPS, FTP, Gopher, Socks;
Added: ability to have in the Proxy Analyzer database proxies with the same IP but
different ports;
Added: ability to clear up the list in the Links Analyzer. 

version 5.0 Beta 1
The version is fully compatible with Windows XP.
Improved the work of all the utilities.
Added: Ability to work with profiles in the Port Scanner, Proxy Analyzer and E-mail Verifier. 
Added: Ability of the Proxy Analyzer to find out distorting proxy servers.
Added: Quick IP address sharing between different tools.
Added: Fast multithreaded Traceroute utility.

The Network Info is renamed into the Network Monitor. The Network Monitor shows you an extremely large amount of supplementary information about your outbound and inbound network connections as well as maps open ports to the owning application (for NT/2000/XP only); the TCP/IP, UDP and ICMP statistics on the local computer; IP-Address Table; IP-Routing Table; Adapters/Interface Info; Address Resolution Protocol Table.

The Process Info is renamed into the Process Monitor. The Process Monitor displays the list of processes (applications), drivers and services (for NT/2000/XP only) currently running on your computer. It is a useful tool for identifying hidden applications, killing running processes, etc.

The System Info has been enhanced.

Fixed: known and reported bugs.

version 4.31
Fixed: Detect/Autodetect IP in Proxy Analyzer
Added: Ability to copy HostName:Port to clipboard in Port Scanner

version 4.30
Added: Uninstall option (in the Registry Cleaner) to remove useless uninstalls from the Add/Remove programs list.
Added: Option to save checked HTTP and socks proxies as IP: Port or Host Name: Port to a file (Proxy Analyzer). 
Added: Possibility to save bad and unchecked HTTP and socks proxies to a file (Proxy Analyzer). 
Fixed: Few minor bugs.

version 4.25
Process info works 1.5 times faster now
Added: Possibility to save HTML report (Process info)
Added: New field "URL" (Link Analizer)
Added: Search option (Link Analizer)
Added: Option to find invalid references in the system-shared .DLL files that no longer exist (Registry Cleaner) 
Fixed: Several wrong icons in the popup menu (Port Scanner)
Fixed: Problem with the port scanner report which was not able to display more than two digits of the last octet of the IP address

version 4.20 (build 700) final
Added: Registry Cleaner

version 4.20 (build 680) beta
Port Scanner
New: Fast line parser for port setup (e.g. 127.0.0.1:1-100,135,137,200-60000)
New: Full visual monitoring over all the scanning processes
Added: Ping scanning
Added: Resolve Host Name
Added: UDP Port Scanning (Win98/Me/NT/2000)
Added: Smart Scanning (scanning of the hosts responded on Ping only, then UDP and TCP scanning)
Added: Receive the Data from the Port
Added: Up to 200 Threads for the fast scanning of LAN 
Added: CPU Usage monitor for all system process
Added: Print Report + Report Preview
Added: Export results to .TXT, .CSV, .XLS, .HTM files

Proxy Analyzer
Fix: Resolve Host Name ("Add Proxy", "Load from file")

System info
Added: "Print Report" option
Added: Printers "Properties..." - full information about the selected printer

Whois
Fix: problem with the deleting of the data from the program cache
Fix: option "Clear Cache" works correctly now

version 4.1
Add: Resource Viewer
Add: Autodetect IP address at startup option (Proxy Analyzer)
Add: Detect IP Button (for detection IP manually)
Fix: minor bugs

version 4.0c
Fix: Memory leaks in Port Scanner
Fix: High CPU usage problem in Port Scanner, Proxy Analyzer, Email Verifier, Link Analyzer
Add: Network PC button (search for computers in LAN)
Add: Set as Proxy for default Internet Connection (IE) now works also for dial-up

version 4.0a

Fix: Record was not found problem when saving results with CONNECTION KEEP-ALIVE checkbox selected (Proxy Analyzer)
Fix: Problem with adding of proxy after scanning (Proxy Analyzer)
Fix: Minor changes in hostname/IP resolving algorithm (Add single proxy)
Add: More than 250 ports may be used with Trojan programs added to Trojan Port Set (Port Scanner)

version 4.0 Release

Added: Port Scanner may work via a socks proxy
Added: In Network Status, on right mouse click context menu appears (Whois remote IP)
Added: Port Scanner - more than 100 ports may be used by Trojans
Fix: Correct adding ports to Port Sets (Port Scanner)

version 4.0 Beta 3

Fix: Process Info - now works under Windows NT 4.x
Fix: Email Verificator - working algorithm changed
Fix: Port Scanner - adding a port without number forbidden
Fix: Links Analyzer - if the URL exists already in the list, it is not added to it (history window)
Fix: System info (Drives page) - if the drive is not accessible, e.g. network drive, all the information updated except the information about space usage.
Fix: System info (Drives page) - disk description appeared only after the disk has been chosen.
Fix: System Info (Media) - IN/OUT devices now appeared as 2 different ones with IN and OUT description.
Fix: System info (Display page) - ability to edit check list disabled.
Fix: System info (Operational system) - ability to edit Environment disabled. 
Fix: Minor GUI changes

version 4.0 Beta 2

Added: Proxy Analyzer - Set and Disable the particular proxy for default internet connection (IE)
Fix: Proxy Analyzer - Settings: when moving from 1 text box to another, get the "Access violation at address 0053A475 in module 'AATOOLS.EXE' Read of address FFFFFFFF"
Fix: Incorrect work of Cancel button in Whois-feature.
Fix: CGI Analyzer - when more than 1 hosts is set to scan, the results are incorrect.
Fix: Incorrect system tray minimizing when any of the modules in use.
Fix: System Info - incorrect OS name
Fix: System Info - left bar does not change color without click now.
Fix: System Info - checkboxes incorrect work.
Fix: Link Analyzer - Unable to locate exported function SHGetSpecialFolderPathW in shell32.dll.
Fix: Incorrect Dropdown buttons behavior (all modules)
Fix: Proxy Analyzer - when add from file using, may cause the "DNS not responding" error. After ignoring this and clicking OK and then Start, "unable to create dir" error (in most modules)

version 4.0 Beta 1

Added: AATools's Whois 
Added: Links Analyzer 
Added: Process Info 
Added: Network Status
Updated: Port Scanner
Updated: Proxy Analyzer
Updated: CGI Analyzer
Updated: Email Verificator

version 3.1.0.500

New: Now the programs checks the update availability through the Internet.
New: Added support Socks (4, 4A, 5) proxy server for LAN users (E-mail Verificator)
Fix: small bug in DNS query (E-mail Verificator)version 3.1.0.11
- module "eMail List Validator" was renamed to "E-mail Verificator"
- the code page of English help system is corrected (Thanks Matt Scarborough!)
- added Socks v5 proxy support for LAN users (E-mail Verificator)
- added ports used Trojan/backdoor programs (Port Scanner)
- new input in Port Scanner:
The range of IP addresses should be specified in brackets [<range of the last portion of IP address with the delimiter "-" between the numbers>:

Example: 127.0.0.[1-255]

You can specify the ports at the desired IP. delimiter between IP address and port address is ":", and the ports may be specified one after another with the comma delimiter, which OR "-" :

Example: 127.0.0.1:21,25 (ports 21 AND 25 will be checked)
               127.0.0.1:21-25 (ports FROM 21 TO 25 will be checked)

If the ports are not specified, the ports will be checked according to the " List of Ports Setup":

Example: 127.0.0.1

- added Network status. Useful for search Trojans programsversion 3.0.0.27
- fixed minor Timer bugs in eMail List Validator

version 3.0.0.26

- fully recompiled
- added splash screen
- added eMail List Validator
- Proxy Checker now detects anonymous proxy (transparent or non transparent)
- System info transferred in "About" module
- added Hide/Show Options buttons in Proxy Checker and eMail List Validator
- Internet Tools removed
- System Tools removed
- fixed minor Timer bugs in Port Scanner
- trial period changed from 15 to 30 daysversion 2.2

version 2.2 

- added Proxy Checker
- made full functional version with trial period 15 days

version 2.0 build 15

- AATOOLS version 2.0 build 15 made available for download
- fixed some bugs in Port Scanner
- added fast find Port in Port Scanner
- added time out in Port Scanner
- now Port scanner very fast
- now CGI Scanner fully asynchronous

version 2.0

The program now requires Winsock 2 to operate. Version 1.0 was meant to work with Winsock 1.1 but due to a bug it still required Winsock 2.
- AATOOLS version 2.0 made available for download
- big rewrite. Many options totally asynchronous. Lots of new features
- new user interface
- added CGI Scanner

version 1.0

- customer support web placed on-line
- AATOOLS version 1.0 made available for download
